summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorAndrew Yourtchenko <ayourtch@gmail.com>2024-03-13 13:46:34 +0000
committerAndrew Yourtchenko <ayourtch@gmail.com>2024-03-13 13:47:37 +0000
commit7ed777562b634e804d295b44e56eadc26b113dd5 (patch)
tree09df9dcc5555f30b0e975c574013d52b77b32a71 /jjb
parentf2cdd9d95349b2fe02ee76e22f37046c4740b235 (diff)
fix: add building static vppctl as part of the CI for VPP
Change-Id: I8b225b4677deb525ed1702d0c377ef58808a0881 Signed-off-by: Andrew Yourtchenko <ayourtch@gmail.com>
Diffstat (limited to 'jjb')
-rw-r--r--jjb/scripts/vpp/build.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/jjb/scripts/vpp/build.sh b/jjb/scripts/vpp/build.sh
index 388d05c5..94aa1367 100644
--- a/jjb/scripts/vpp/build.sh
+++ b/jjb/scripts/vpp/build.sh
@@ -60,6 +60,11 @@ make_build_test() {
BUILD_ERROR="FAILED 'make install-ext-deps'"
return
fi
+ if [ -f extras/scripts/build_static_vppctl.sh ]; then
+ if ! extras/scripts/build_static_vppctl.sh ; then
+ BUILD_ERROR="FAILED 'extras/scripts/build_static_vppctl.sh'"
+ return
+ fi
if ! make UNATTENDED=yes test-dep ; then
BUILD_ERROR="FAILED 'make test-dep'"
return